Documentation index for AI agents (llms.txt)

Append .md to any page URL for its markdown source, or fetch llms-full.txt for the complete corpus.

Repayment Schedule

Get repayment schedule for an offer

Generates a repayment schedule for a given confirmed offer id. Will return a PDF if the Content-Type header is set to application/pdf.

GET/offers/{offer_id}/repayment_schedule/

Authorizations

Authorizationstringheaderrequired

You must put the word Bearer or Token in the Authorization header before your token e.g:

Authorization: Bearer <Your API token>

Examples generated from this schema may be missing the word Bearer.

Path parameters

offer_idstringrequired

Query parameters

pay_off_early_onstring

Option to simulate early repayment, given in the format YYYY-MM-DD. When included in the request, the resulting repayment schedule simulates the customer making the normal minimum payments up until the specified date and then paying off the whole remaining amount on that date

amountnumber

The amount of money the customer will draw down. If not included in the request this defaults to the max_amount of the offer.

Responses

Success

amount_borrowednumber<float>required

The amount borrowed.

amount_saved_by_repaying_earlynumber<float>

This field is only included when when the 'pay_off_early_on' query parameter is specified. It indicates how much money the customer would save by paying off the loan on that date.

fee_percentagenumber<float>required

What percentage of the amount borrowed will be added to the loan as a fee when the customer takes the money

monthly_interest_percentagenumber<float>required

Monthly interest in %.

Repayment schedule.

Array of object
amountnumber<float>required

Repayment breakdown.

datestringrequired
total_payablenumber<float>required
total_feesnumber<float>required
total_interestnumber<float>required
total_principalnumber<float>required